Zoey REST API reference ยท Interactive version: apidocs.zoey.com
POST https://container-url.zoeysite.com/api/rest/sales2/orders/comment
Add a zoey order comment or order history comment using the order increment id.
Example request body:
{
"orderIncrementId": "100000045",
"commentData": {
"customer_note": "Order history comment from postman",
"customer_note_notify": "1",
"is_visible_on_front": "1",
"add_to_history": true,
"zoey_order_comment": "Zoey Order comment from postman",
"order_status": "api_process"
}
}
GET https://container-url.zoeysite.com/api/rest/orders/:orderId/comments
Example response (Get All), HTTP 200:
[
{
"created_at": "2020-11-16 21:32:10",
"comment": null,
"is_customer_notified": "0",
"is_visible_on_front": "0",
"status": "pending"
},
{
"created_at": "2020-11-16 21:32:30",
"comment": null,
"is_customer_notified": "0",
"is_visible_on_front": "0",
"status": "processing"
},
{
"created_at": "2020-11-16 21:32:31",
"comment": "Invoice #100000064 Has Been Created.",
"is_customer_notified": null,
"is_visible_on_front": "0",
"status": "processing"
},
{
"created_at": "2020-11-16 21:32:59",
"comment": "Inventory was returned to stock.",
"is_customer_notified": null,
"is_visible_on_front": "0",
"status": "processing"
},
{
"created_at": "2020-11-16 21:32:59",
"comment": "Refunded amount of $80.00 offline.",
"is_customer_notified": "2",
"is_visible_on_front": "0",
"status": "processing"
},
{
"created_at": "2020-11-16 21:32:59",
"comment": null,
"is_customer_notified": "0",
"is_visible_on_front": "0",
"status": "closed"
},
{
"created_at": "2020-11-20 22:22:22",
"comment": "This is another new zoey order comment from API.",
"is_customer_notified": "1",
"is_visible_on_front": "0",
"status": "closed"
}
]